<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.point.mapper.CmccPointRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="cmccPointRecordResultMap" type="org.springblade.sing.point.entity.CmccPointRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="out_order_id" property="outOrderId"/>
        <result column="num" property="num"/>
        <result column="phone" property="phone"/>
        <result column="help_goods_id" property="helpGoodsId"/>
        <result column="point" property="point"/>
    </resultMap>


    <select id="selectCmccPointRecordPage" resultMap="cmccPointRecordResultMap">
        select * from sing_cmcc_point_record where is_deleted = 0
    </select>

</mapper>
